const BASE_URL = "/api/v1/historical"


export async function getHistoricalTickerData(ticker, fromDate, toDate) {
    try {
        const url = `${BASE_URL}/${ticker}?from_date=${fromDate}&to_date=${toDate}`;
        const response = await fetch(url);
        const data = await response.json();
        return data.data;
    } catch (error) {
        console.error("Error fetching historical data: ", error);
        return [];
    }
}