const BASE_URL = "/api/v1/indicators/sma"


export async function getSma(ticker, period, fromDate, toDate) {
    try {
        const url = `${BASE_URL}/${ticker}?period=${period}&from_date=${fromDate}&to_date=${toDate}`;
        const response = await fetch(url);
        const indicator = await response.json();
        return indicator.data.data;
    } catch (error) {
        console.error("Error fetching historical data: ", error);
        return [];
    }
}